<?php
/* 快捷商城系统
 * 版本号：2.0
 * 官网：http://www.kjcms.cn
 * 2015-02-16
 */
class ctl_mall_goods_comment extends mod_mall_goods_comment {

	//默认浏览页
	function act_default() {
		$this->arr_list = $this->get_pagelist();
		return $this->get_view(); //显示页面
	}
	//彻底删除,返回josn数据
	function act_delete() {
		$arr_return = $this->on_delete();
		return fun_format::json($arr_return);
	}
	function act_edit() {
		$id = fun_get::get("id");
		$this->comment_detail = $this->get_comment_detail($id);
		$arr = cls_config::get("goods_comments" , "mall");
		$arr_comments = array();
		foreach($arr as $item=>$key) {
			$arr_comments[$item] = explode("||" , $key);
		}
		$this->arr_comments = $arr_comments;
		$this->id = $id;
		return $this->get_view();
	}

	function act_save() {
		$arr = $this->order_comment_save();
		return fun_format::json($arr);
	}
	function act_recont() {
		$arr_return = $this->on_recont();
		return fun_format::json($arr_return);
	}

}